#{extends '/HomeCtr/BorderHome.html'/}
<div class="container"> *{id="web-home"}*
    <div class="col-md-12">
        <!--  Tampilan setelah login -->
        <div id="myCarousel" class="carousel slide" data-ride="carousel">
            <!-- Indicators -->
            <ol class="carousel-indicators">
            *{<li data-target="#myCarousel" data-slide-to="0" class="active"></li>}*
                *{<li data-target="#myCarousel" data-slide-to="1"></li>}*
            </ol>
            <!-- Wrapper for slides -->
            <div class="carousel-inner">
            *{<div class="item active">}*
            *{<img src="@{'/public/images/slider-3.jpg'}"/>}*
            *{</div>}*
            #{list bannerList, as:'b'}
                <div class="item" style="width: 100%;max-height: 250px">
                    <img src="/public/files/image/banner/${b.file_name}" onerror="this.src='@{'/public/images/slider-image-not-found.jpg'}';"/>
                </div>
            #{/list}
            </div>
            <!-- Left and right controls -->
            <a href="#myCarousel" data-slide="prev" style="position: absolute;top: 50%;left: 1%;font-size:3em">
                <span class="glyphicon glyphicon-chevron-left"></span>
                <span class="sr-only">Previous</span>
            </a>
            <a href="#myCarousel" data-slide="next" style="position: absolute;top: 50%;right: 1%;font-size:3em">
                <span class="glyphicon glyphicon-chevron-right"></span>
                <span class="sr-only">Next</span>
            </a>


            <!-- Main Slider -->
        *{<div class="col-sm-12 col-md-12">}*
        *{<div class="slider">}*
        *{<img src="@{'/public/images/slider-3.jpg'}"}*
        *{class="img img-responsive" />}*
        *{</div>}*
        *{</div>}*
            <!-- End Main Slider -->
        </div>
    </div>
#{if notif !=null}
    #{if notif.param == 'inline'}
        <br>
        <div class="row">
            <div class="home-notification-wrapper">
                <div class="col-sm-12 col-md-12">
                    <div class="alert alert-info alert-dismissible">
                        <button class="close" data-dismiss="alert" aria-label="Close">
                            <i class="fa fa-close" aria-hidden="true"></i>
                        </button>
                        <p>&{notif.deskripsi}</p>
                    </div>
                </div>
            </div>
        </div>
    #{/if}
    #{else}
        <div class="modal fade" id="home-notifikasi" role="dialog">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <h4>&{'pemberitahuan.label'}</h4>
                    </div>
                    <div class="modal-body">
                        <p>&{notif.deskripsi}</p>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-danger" data-dismiss="modal">&{'tutup.label'}</button>
                    </div>
                </div>
            </div>
        </div>
    #{/else}
#{/if}

    <!-- Komoditas -->
    #{include 'PublikCtr/parts/_popularCommodity.html'/}
    <!-- End Komoditas -->

    <!-- Usulan -->
    <div class="row">
        <div class="col-sm-12 col-md-12">
            <div class="home-usulan-wrapper">
                <div class="row">
                    <div class="col-sm-12 col-md-12">
                        <div class="home-usulan-header">
                            <h4>&{'pengumuman.label'}</h4>
                        #{if usulanList.size() > 0}
                            <div class="pull-right">
                                <a href="@{PublikCtr.listUsulan()}" class="btn btn-md btn-danger">
                                &{'lihat_selengkapnya.label'} <i
                                        class="fa fa-angle-down"></i>
                                </a>
                            </div>
                        #{/if}
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="card-list">
                    #{if usulanList != null && usulanList.size() > 0}
                        #{list items:usulanList, as:'usulan'}
                            #{usulanListItem item:usulan /}
                        #{/list}
                    #{/if}
                    #{else}
                        <div class="item-empty" style="text-align: center">
                            <h5>&{'katalog.usulan.kosong'}</h5>
                        </div>
                    #{/else}
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- End Usulan -->

    <!-- Latest News -->
    <div class="row">
        <div class="col-sm-12 col-md-12">
            <div class="home-berita-wrapper">
                <div class="row">
                    <div class="col-sm-12 col-md-12">
                        <div class="home-berita-header">
                            <h4>&{'berita.label'}</h4>
                            <div class="pull-right">
                                <a href="@{PublikCtr.listBerita()}" class="btn btn-md btn-danger">
                                &{'lihat_selengkapnya.label'} <i class="fa fa-angle-down"></i>
                                </a>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row">
                #{include 'PublikCtr/parts/_popularBerita.html'/}
                </div>
            </div>
        </div>
    </div>
    <!-- End Latest News -->

    <!-- Poling -->
</div>
#{set 'moreScripts'}
#{get 'popularCommodityScript' /}
<script>

    $(document).ready(function(){
        // loop carousel
        var i;
        for(i = 0; i < ${bannerList.size()}; i++) {
            $('<li data-target="#myCarousel" data-slide-to="'+i+'"></li>').appendTo('.carousel-indicators')
        }

        $('.item').first().addClass('active');
        $('.carousel-indicators > li').first().addClass('active');
        $('#myCarousel').carousel();
    });
</script>
#{/set }
